import { Notification } from "element-ui";
export default function (param = {}) {
  if (!param.title) {
    switch (param.type) {
      case "success":
        param.title = "成功";
        break;
      case "warning":
        param.title = "警告";
        break;
      case "info":
        param.title = "消息";
        break;
      case "error":
        param.title = "错误";
        break;
    }
  }
  if (!param.message) return;
  this.$notify({
    title: param.title,
    message: param.message,
    type: param.type || "success",
    duration: param.duration || 3000,
    customClass: "elemsg-notify",
  });
}
